com.hazelcast.config

## Class JobTrackerConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.JobTrackerConfig
  - - com.hazelcast.config.JobTrackerConfigReadOnly

- All Implemented Interfaces:
    NamedConfig

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class JobTrackerConfigReadOnly
      extends JobTrackerConfig

  Contains the configuration for an `JobTracker`.

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.JobTrackerConfig

      `DEFAULT_CHUNK_SIZE, DEFAULT_COMMUNICATE_STATS, DEFAULT_MAX_THREAD_SIZE, DEFAULT_QUEUE_SIZE, DEFAULT_RETRY_COUNT, DEFAULT_TOPOLOGY_CHANGED_STRATEGY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setChunkSize(int chunkSize)` Deprecated. Sets the number of emitted values before a chunk is send to the reducers.
    `void` | `setCommunicateStats(boolean communicateStats)` Deprecated. Set to true if statistics (for example, about processed entries) should be transmitted to the job emitter, false otherwise.
    `void` | `setMaxThreadSize(int maxThreadSize)` Deprecated. Sets the maximum thread pool size of this `JobTracker`.
    `JobTrackerConfigReadOnly` | `setName(String name)` Deprecated. Sets the name of this `JobTracker`.
    `void` | `setQueueSize(int queueSize)` Deprecated. Sets the maximum size of the queue; the maximum number of tasks that can wait to be processed.
    `void` | `setRetryCount(int retryCount)` Deprecated. retry count is currently not used but reserved for later use where the framework will automatically try to restart / retry operations from a available savepoint.
    `void` | `setTopologyChangedStrategy(TopologyChangedStrategy topologyChangedStrategy)` Deprecated. Sets how the map reduce framework will react on topology changes while executing a job.

    - ### Methods inherited from class com.hazelcast.config.JobTrackerConfig

      `getAsReadOnly, getChunkSize, getMaxThreadSize, getName, getQueueSize, getRetryCount, getTopologyChangedStrategy, isCommunicateStats`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setName

          public JobTrackerConfigReadOnly setName(String name)

      Deprecated.
      Description copied from class: `JobTrackerConfig`
      Sets the name of this `JobTracker`.
      Specified by:
        `setName` in interface `NamedConfig`
      Overrides:
        `setName` in class `JobTrackerConfig`
      Parameters:
        `name` - the name of the `JobTracker`
      Returns:
        the current job tracker config instance

    - #### setMaxThreadSize

          public void setMaxThreadSize(int maxThreadSize)

      Deprecated.
      Description copied from class: `JobTrackerConfig`
      Sets the maximum thread pool size of this `JobTracker`.
      Overrides:
        `setMaxThreadSize` in class `JobTrackerConfig`
      Parameters:
        `maxThreadSize` - the maximum thread pool size of the `JobTracker`

    - #### setRetryCount

          public void setRetryCount(int retryCount)

      Deprecated.
      Description copied from class: `JobTrackerConfig`
      retry count is currently not used but reserved for later use where the framework will automatically try to restart / retry operations from a available savepoint.
      Overrides:
        `setRetryCount` in class `JobTrackerConfig`

    - #### setChunkSize

          public void setChunkSize(int chunkSize)

      Deprecated.
      Description copied from class: `JobTrackerConfig`
      Sets the number of emitted values before a chunk is send to the reducers. If your emitted values are big, you might want to change this to a lower value. If you want to better balance your work, you might want to change this to a higher value. A value of 0 means immediate transmission, but remember that low values mean higher traffic costs. A very high value might cause an OutOfMemoryError to occur if emitted values do not fit into heap memory before being sent to reducers. To prevent this, you might want to use a combiner to pre-reduce values on mapping nodes.
      Overrides:
        `setChunkSize` in class `JobTrackerConfig`
      Parameters:
        `chunkSize` - the number of emitted values before a chunk is sent to the reducers

    - #### setQueueSize

          public void setQueueSize(int queueSize)

      Deprecated.
      Description copied from class: `JobTrackerConfig`
      Sets the maximum size of the queue; the maximum number of tasks that can wait to be processed. A value of 0 means an unbounded queue.
      Overrides:
        `setQueueSize` in class `JobTrackerConfig`
      Parameters:
        `queueSize` - the maximum size of the queue

    - #### setCommunicateStats

          public void setCommunicateStats(boolean communicateStats)

      Deprecated.
      Description copied from class: `JobTrackerConfig`
      Set to true if statistics (for example, about processed entries) should be transmitted to the job emitter, false otherwise. This might be used to show any kind of progress to users inside of UI systems, but this produces additional traffic. If statistics are not needed, you might want to deactivate this.
      Overrides:
        `setCommunicateStats` in class `JobTrackerConfig`
      Parameters:
        `communicateStats` - `true` if statistics (for example, about processed entries) are transmitted to the job emitter, `false` otherwise.

    - #### setTopologyChangedStrategy

          public void setTopologyChangedStrategy(TopologyChangedStrategy topologyChangedStrategy)

      Deprecated.
      Description copied from class: `JobTrackerConfig`
      Sets how the map reduce framework will react on topology changes while executing a job. Currently only CANCEL_RUNNING_OPERATION is fully supported; it throws an exception to the job emitter (throws com.hazelcast.mapreduce.TopologyChangedException).
      Overrides:
        `setTopologyChangedStrategy` in class `JobTrackerConfig`
      Parameters:
        `topologyChangedStrategy` - How the map reduce framework will react on topology changes while executing a job.

Copyright © 2020. All rights reserved.